Bug 573027 - [abrt] crash in jokosher-1.0-0.8.20091128bzr.fc13: StatusBar.py:29:__init__:AttributeError: 'gtk.HBox' object has no attribute 'set_use_markup'
Summary: [abrt] crash in jokosher-1.0-0.8.20091128bzr.fc13: StatusBar.py:29:__init__:A...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jokosher
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christopher Brown
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:13837439
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-12 16:15 UTC by Paul W. Frields
Modified: 2010-05-10 23:51 UTC (History)
2 users (show)

Fixed In Version: jokosher-1.0-0.11.20100503bzr.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-10 17:06:58 UTC


Attachments (Terms of Use)
File: backtrace (673 bytes, text/plain)
2010-03-12 16:16 UTC, Paul W. Frields
no flags Details
Patch to fix incorrect widget reference (527 bytes, patch)
2010-04-30 00:20 UTC, Paul W. Frields
no flags Details | Diff

Description Paul W. Frields 2010-03-12 16:15:58 UTC
abrt 1.0.8 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/jokosher
comment: Jokosher crash, gtk.HBox using wrong attribute set_use_markup
component: jokosher
executable: /usr/bin/jokosher
kernel: 2.6.33-1.fc13.x86_64
package: jokosher-1.0-0.8.20091128bzr.fc13
reason: StatusBar.py:29:__init__:AttributeError: 'gtk.HBox' object has no attribute 'set_use_markup'
release: Fedora release 13 (Rawhide)
How to reproduce: Start jokosher in F13 x86_64, from menu or command line.

backtrace
-----
StatusBar.py:29:__init__:AttributeError: 'gtk.HBox' object has no attribute 'set_use_markup'

Traceback (most recent call last):
  File "/usr/bin/jokosher", line 100, in <module>
    JokosherApp.MainApp(openproject, loadExtensions, startupType)
  File "/usr/lib/python2.6/site-packages/Jokosher/JokosherApp.py", line 165, in __init__
    self.statusbar = StatusBar.StatusBar()
  File "/usr/lib/python2.6/site-packages/Jokosher/ui/StatusBar.py", line 29, in __init__
    self.label.set_use_markup(True)
AttributeError: 'gtk.HBox' object has no attribute 'set_use_markup'

Local variables in innermost frame:
self: <StatusBar object at 0x2ed7190 (GtkStatusbar at 0x2f83b60)>

Comment 1 Paul W. Frields 2010-03-12 16:16:00 UTC
Created attachment 399686 [details]
File: backtrace

Comment 2 Akshay Shah 2010-04-29 22:51:39 UTC
Package: jokosher-1.0-0.8.20091128bzr.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Default install on Fedora 13 Beta 64-bit, tried to open Jokosher.
2.
3.

Comment 3 Paul W. Frields 2010-04-30 00:20:01 UTC
Created attachment 410277 [details]
Patch to fix incorrect widget reference

This patch fixes the problem with Jokosher crashing on startup in F-13.  Could you apply this?

(It would be nice to see 0.11.5 coming to Fedora 13 if possible, and this patch should be easy to alter to fix that version too.)

Comment 4 Fedora Update System 2010-05-03 15:35:10 UTC
jokosher-1.0-0.12.20100503bzr.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/jokosher-1.0-0.12.20100503bzr.fc12

Comment 5 Fedora Update System 2010-05-03 15:35:34 UTC
jokosher-1.0-0.11.20100503bzr.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/jokosher-1.0-0.11.20100503bzr.fc13

Comment 6 Fedora Update System 2010-05-04 06:08:30 UTC
jokosher-1.0-0.11.20100503bzr.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jokosher'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/jokosher-1.0-0.11.20100503bzr.fc13

Comment 7 Fedora Update System 2010-05-04 06:09:02 UTC
jokosher-1.0-0.12.20100503bzr.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jokosher'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/jokosher-1.0-0.12.20100503bzr.fc12

Comment 8 Fedora Update System 2010-05-10 17:06:35 UTC
jokosher-1.0-0.12.20100503bzr.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-05-10 23:51:21 UTC
jokosher-1.0-0.11.20100503bzr.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.